JavaScript 튜토리얼

예외 처리

3.10) 예외 처리

JavaScript 또한 예외 처리 문법을 지원한다. C++과 다르지 않으므로 예제만 보이겠다.

exception.htm

/**

인자로 받은 수의 제곱을 반환합니다.

n: 분자(numerator), d: 분모(denominator)

 

@param {number} n

@param {number} d

@return {number}

*/

function div(n, d) {

// 분모가 0이라면 예외 처리합니다.

if (d == 0)

throw "Denominator is 0.";

return n / d;

}

 

function main() {

// try-catch 구문을 이용한다.

try {

var numerator, denominator;

 

// (10 / 20)의 결과를 출력합니다.

numerator = 10;

denominator = 20;

Log(div(numerator, denominator));

 

// (10 / 0)의 결과를 출력합니다.

numerator = 10;

denominator = 0;

Log(div(numerator, denominator));

 

Log("Program ended");

} catch (ex) {

Log('Exception occurred: ' + ex);

}

}

실행 결과

0.5

Exception occurred: Denominator is 0.

이와 같이 JS의 문법에 대해 알아볼 수 있었다.

댓글

댓글 본문
작성자
비밀번호
graphittie 자세히 보기